%define name gb
%define version 0.0.20
%define release 4mdk

%define major 0
%define libname %mklibname %{name} %{major}

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Gnome Basic is aimed to develop Visual Basic apps, in particular VBA.
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gb/%{name}-%{version}.tar.bz2
Url:	http://www.gnome.org/projects/gb/
Group: System/Libraries
Buildrequires: libgnome-devel 
Buildrequires: glibc-static-devel 
Buildrequires: freetype2-devel  libgdk-pixbuf-devel libxml-devel
Buildrequires: bison flex libgnomeprint-devel 
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL

%description
Gnome Basic is a tool aimed to support Visual Basic Applications. In particular
work is under way to cooperate with Gnumeric to provide Microsoft Excel
VBA support.

%package -n %{libname}
Summary: Gnome Basic is aimed to develop Visual Basic apps, in particular VBA.
Group: System/Libraries

%description -n %{libname}
Gnome Basic is a tool aimed to support Visual Basic Applications. In particular
work is under way to cooperate with Gnumeric to provide Microsoft Excel
VBA support.

%package -n %{libname}-devel
Summary: Gnome Basic is aimed to develop Visual Basic apps, in particular VBA.
Group: Development/Other
Requires: %{libname} >= %{version}
Provides: libgb-devel

%description -n %{libname}-devel
Gnome Basic is a tool aimed to support Visual Basic Applications. In particular
work is under way to cooperate with Gnumeric to provide Microsoft Excel
VBA support.


%prep

%setup -q

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall
# hack
cd test/.libs
install -m755 gb $RPM_BUILD_ROOT%{_bindir}
cd ../..

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%doc docs ChangeLog
%doc [A-Z][A-Z]*
%{_bindir}/*

%files -n %{libname} -f %{name}.lang
%defattr(-,root,root)
%_libdir/*.so.*


%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%_libdir/*.sh

%changelog

* Sat Sep 20 2003 Michael Scherer <scherer.michael@free.fr> 0.0.20-4mdk
- BuildRequires flex, bison, libgnomeprint-devel
- clean BuildRequires, Requires
- mklibname
 
* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.20-3mdk
- buildrequires

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.20-2mdk
- rebuild

* Sun Jul 01 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.0.20-1mdk
- Push version 0.0.20 out into contribs.

* Sat May 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.0.19-1mdk
- Version 0.0.19 out for everyone.
- Include translations.

* Wed Mar 14 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.0.18-1mdk
- updated to 0.0.18

* Fri Dec 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.17-1mdk
- updated to 0.0.17

* Sun Nov 26 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.0.16-1mdk
- new and shiny source.

* Sun Nov 05 2000 Geoffrey lee <snailtalk@mandrakesoft.com> 0.0.15-1mdk
- new and shiny version.
- add missing gb binary.

* Mon Oct 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.0.14-1mdk
- first rpm for the mandrake version.

